Computer Security
[EN] securityvulns.ru no-pyccku


Orbit Downloader buffer overflow
Published:26.02.2009
Source:
SecurityVulns ID:9694
Type:client
Threat Level:
5/10
Description:Buffer overflow on oversized URL.
Affected:ORBITDOWNLOADER : Orbit Downloader 2.8
CVE:CVE-2009-0187 (Stack-based buffer overflow in Orbit Downloader 2.8.2 and 2.8.3, and possibly other versions before 2.8.5, allows remote attackers to execute arbitrary code via a crafted HTTP URL with a long host name, which is not properly handled when constructing a "Connecting" log message.)
Original documentdocumentSECUNIA, Secunia Research: Orbit Downloader Long URL Parsing Buffer Overflow (26.02.2009)

About | Terms of use | Privacy Policy
© SecurityVulns, 3APA3A, Vladimir Dubrovin
Nizhny Novgorod